# C keywords: constexpr (since C23)

From cppreference.com
< c‎ | keyword
C

Compiler support
Language
Headers
Type support
Program utilities
Variadic function support
Error handling
Dynamic memory management
Strings library
Algorithms
Numerics
Date and time utilities
Input/output support
Localization support
Concurrency support (C11)
Technical Specifications
Symbol index

C language

Basic concepts
Keywords
Preprocessor
Statements
Expressions
Initialization
Declarations
Functions
Miscellaneous
History of C
Technical Specifications

Keywords

alignas (C23)
alignof (C23)
auto
bool (C23)
break
case
char
const
constexpr (C23)``
continue
default
do
double
else
enum

extern
false (C23)
float
for
goto
if
inline (C99)
int
long
nullptr (C23)
register
restrict (C99)``
return
short
signed

sizeof
static
static_assert (C23)
struct
switch
thread_local (C23)
true (C23)
typedef
typeof (C23)
typeof_unqual (C23)``
union
unsigned
void
volatile
while

_Alignas (C11*)
_Alignof (C11*)
_Atomic (C11)
_BigInt (C23)
_Bool (C99*)
_Complex (C99)
_Decimal128 (C23)
_Decimal32 (C23)
_Decimal64 (C23)
_Generic (C11)
_Imaginary (C99)
_Noreturn (C11*)
_Static_assert (C11*)
_Thread_local (C11*)

conditionally-supported

asm

fortran

### Usage

- `constexpr` specifier (since C23)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=c/keyword/constexpr&oldid=164624"

##### Navigation

- Online version
- Offline version retrieved 2025-02-09 16:39.

- This page was last modified on 2 December 2023, at 06:07.